Tool
realtime_messages_publish
Publish a JSON message to a realtime channel of the current product
Publish a JSON message to a realtime channel of the current product
Behavior
- HTTP
POST /realtime/messages
Arguments
Name | Type | Required | Description |
|---|---|---|---|
data | string | • | JSON payload delivered to channel subscribers |
channel | string | • | Channel to publish the message to |
Response
Field | Type | Always | Description |
|---|---|---|---|
epoch | string | — | Stream epoch of the stored message (present when history is on) |
offset | string | — | Stream offset of the stored message (present when history is on) |
channel | string | • | Channel the message was published to |
replayed | boolean | • | true only when the answer was replayed from a previous Idempotency-Key publish |
messageId | string | • | Envelope id of the message — history exposes the same value as entries[].id |
published | boolean | • | Publish acknowledged by the fan-out backend |
Try it
Publish a JSON message to a realtime channel of the current product.